import { MatSnackBarHorizontalPosition, MatSnackBarVerticalPosition } from '@angular/material/snack-bar';
export declare class QMSCKEditorToastService {
    static horizontalPosition: MatSnackBarHorizontalPosition;
    static verticalPosition: MatSnackBarVerticalPosition;
    static actionButtonLabel: string;
    static action: boolean;
    static setAutoHide: boolean;
    static autoHide: number;
    static success(msg: any): void;
    static warning(msg: any, duration?: number): void;
    static info(msg: any): void;
    static error(msg: any): void;
}
